Bug 202320

Summary: libvirt-devel missing dependencies
Product: [Fedora] Fedora Reporter: Steven Pritchard <steve>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: EasyFix, Patch
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-06 11:35:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
spec patch
Updated spec patch none

Description Steven Pritchard 2006-08-12 15:18:08 EDT
libvirt-devel contains libvirt.pc, but it does not have a dependency on 
pkgconfig.  There was a thread on fedora-packaging about this a couple of 
months ago, and the best reason for including the hard dependency was that 
otherwise the pkgconfig directory could be un-owned.

Comment 1 Steven Pritchard 2006-08-12 15:18:09 EDT
Created attachment 134090 [details]
spec patch
Comment 2 Steven Pritchard 2006-08-18 15:58:39 EDT
It looks like libvirt-devel is also missing a dependency on xen-devel as well.
Comment 3 Steven Pritchard 2006-08-18 15:59:50 EDT
Created attachment 134472 [details]
Updated spec patch
Comment 4 Daniel Veillard 2006-11-06 11:35:06 EST
Okay, agreed except the Requirement on xen-devel should not be
tied to a specific version, applied, pushing it, it should be fixed in
Rawhide soonish,